public inbox for ltp@lists.linux.it
 help / color / mirror / Atom feed
* [LTP] [PATCH 1/2] security/p9auth: Cleanup
@ 2014-07-12  6:05 Zeng Linggang
  2014-07-12  6:06 ` [LTP] [PATCH 2/2] security/p9auth: Add p9auth tests to default Zeng Linggang
  2014-09-04 12:24 ` [LTP] [PATCH 1/2] security/p9auth: Cleanup chrubis
  0 siblings, 2 replies; 6+ messages in thread
From: Zeng Linggang @ 2014-07-12  6:05 UTC (permalink / raw)
  To: ltp-list

* Use test.sh

* Use p9auth_check() function instead of checkp9auth.sh

* Define some functions in p9priv.sh:
	p9auth_init()
	p9auth_setup()
	p9auth_run()
	p9auth_test{1,2,3}()

* Delete argc and argv in unhex.c to fix compilation warnings.

* Some cleanup

Signed-off-by: Zeng Linggang <zenglg.jy@cn.fujitsu.com>
---
 testcases/kernel/security/p9auth/Makefile       |   4 +-
 testcases/kernel/security/p9auth/checkp9auth.sh |  98 +++++++---------
 testcases/kernel/security/p9auth/p9priv.sh      | 147 ++++++++++--------------
 testcases/kernel/security/p9auth/p9unpriv.sh    |  23 ++--
 testcases/kernel/security/p9auth/runp9auth.sh   |  55 ++++++---
 testcases/kernel/security/p9auth/unhex.c        |  11 +-
 6 files changed, 161 insertions(+), 177 deletions(-)

diff --git a/testcases/kernel/security/p9auth/Makefile b/testcases/kernel/security/p9auth/Makefile
index 603b9d4..66c7f51 100644
--- a/testcases/kernel/security/p9auth/Makefile
+++ b/testcases/kernel/security/p9auth/Makefile
@@ -13,8 +13,8 @@
 ## for more details.                                                          ##
 ##                                                                            ##
 ## You should have received a copy of the GNU General Public License          ##
-## along with this program;  if not, write to the Free Software               ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA    ##
+## along with this program;  if not, write to the Free Software Foundation,   ##
+## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
 ##                                                                            ##
 ################################################################################
 
diff --git a/testcases/kernel/security/p9auth/checkp9auth.sh b/testcases/kernel/security/p9auth/checkp9auth.sh
index c2a6ca9..0eafd15 100755
--- a/testcases/kernel/security/p9auth/checkp9auth.sh
+++ b/testcases/kernel/security/p9auth/checkp9auth.sh
@@ -1,70 +1,54 @@
 #!/bin/sh
 ################################################################################
-##										      ##
-## Copyright (c) International Business Machines  Corp., 2009		   ##
-##										      ##
+##                                                                            ##
+## Copyright (c) International Business Machines  Corp., 2009                 ##
+##                                                                            ##
 ## This program is free software;  you can redistribute it and#or modify      ##
-## it under the terms of the GNU General Public License as published by	##
-## the Free Software Foundation; either version 2 of the License, or	   ##
-## (at your option) any later version.					     ##
-##										      ##
-## This program is distributed in the hope that it will be useful, but	 ##
+## it under the terms of the GNU General Public License as published by       ##
+## the Free Software Foundation; either version 2 of the License, or          ##
+## (at your option) any later version.                                        ##
+##                                                                            ##
+## This program is distributed in the hope that it will be useful, but        ##
 ## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
 ## or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License   ##
-## for more details.								  ##
-##										      ##
-## You should have received a copy of the GNU General Public License	   ##
-## along with this program;  if not, write to the Free Software		 ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA    ##
-##										      ##
+## for more details.                                                          ##
+##                                                                            ##
+## You should have received a copy of the GNU General Public License          ##
+## along with this program;  if not, write to the Free Software Foundation,   ##
+## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
+##                                                                            ##
 ################################################################################
 
-yesno=0
-if [ "$1" = "yesno" ]; then
-	yesno=1
-fi
-
-# check for openssl
-rm -f /tmp/ab
-echo ab > /tmp/ab
-openssl sha1 -hmac "ab" /tmp/ab > /dev/null
-ret=$?
-if [ $ret -ne 0 ]; then
-	if [ $yesno -eq 1 ]; then echo
-		 "no"
-	else
-		 echo "openssl not installed, skipping p9auth tests."
+p9auth_check()
+{
+	# check for openssl
+	if [ -e "/tmp/ab" ]; then
+		rm -f /tmp/ab
+	fi
+	echo "ab" > /tmp/ab
+	openssl sha1 -hmac "ab" /tmp/ab > /dev/null
+	ret=$?
+	if [ $ret -ne 0 ]; then
+		tst_brkm TCONF "openssl not installed, skipping p9auth tests."
 	fi
-	exit 1
-fi
 
-majfile=/sys/module/p9auth/parameters/cap_major
-minfile=/sys/module/p9auth/parameters/cap_minor
-if [ ! -f "$majfile" ]; then
-	if [ $yesno -eq 1 ]; then echo
-		 "no"
-	else
-		 echo "p9auth not detected.  Skipping p9auth tests."
+	majfile=/sys/module/p9auth/parameters/cap_major
+	minfile=/sys/module/p9auth/parameters/cap_minor
+	if [ ! -f "$majfile" ]; then
+		tst_brkm TCONF "p9auth not detected.  Skipping p9auth tests."
 	fi
-	exit 1
-fi
 
-if [ ! -c "/dev/caphash" ]; then
-	rm -f /dev/caphash
-	maj=`cat $majfile`
-	mknod /dev/caphash c $maj 0
-fi
+	if [ ! -c "/dev/caphash" ]; then
+		rm -f /dev/caphash
+		maj=`cat $majfile`
+		mknod /dev/caphash c $maj 0
+	fi
 
-if [ ! -c "/dev/capuse" ]; then
-	rm -f /dev/capuse
-	min=`cat $minfile`
-	mknod /dev/capuse c $maj 1
-fi
-chmod ugo+w /dev/capuse
+	if [ ! -c "/dev/capuse" ]; then
+		rm -f /dev/capuse
+		mknod /dev/capuse c $maj 1
+	fi
+	chmod ugo+w /dev/capuse
 
-if [ $yesno -eq 1 ]; then
-	echo "yes"
-else
-	echo "p9auth ready for testing"
-fi
-exit 0
+	tst_resm TINFO "p9auth ready for testing"
+}
diff --git a/testcases/kernel/security/p9auth/p9priv.sh b/testcases/kernel/security/p9auth/p9priv.sh
index fae3249..0355b66 100755
--- a/testcases/kernel/security/p9auth/p9priv.sh
+++ b/testcases/kernel/security/p9auth/p9priv.sh
@@ -14,98 +14,77 @@
 ## for more details.                                                          ##
 ##                                                                            ##
 ## You should have received a copy of the GNU General Public License          ##
-## along with this program;  if not, write to the Free Software               ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA    ##
+## along with this program;  if not, write to the Free Software Foundation,   ##
+## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
 ##                                                                            ##
 ################################################################################
 
-export TMPDIR=${TMPDIR:-/tmp}
-export LTPTMP=${TMPDIR}/p9auth_ltp
-export TST_TOTAL=3
-export TCID="p9auth"
-
-export TST_COUNT=1
-
-rm -rf $LTPTMP
-mkdir $LTPTMP
-chmod 755 $LTPTMP
-
-comms="$LTPTMP/childgo $LTPTMP/d/childready $LTPTMP/d/childfail $LTPTMP/d/childpass $LTPTMP/childexit"
-
-cleanup() {
-	rm -rf $LTPTMP/d $comms
+p9auth_init()
+{
+	if [ -d "$LTPTMP" ]; then
+		rm -rf $LTPTMP
+	fi
 	mkdir -p $LTPTMP/d
+	chmod 755 $LTPTMP
 	chown -R ltp $LTPTMP/d
 }
 
-if [ "$(id -ru)" -ne 0 ]; then
-	tst_resm TBROK "Must start p9auth tests as root"
-	exit 1
-fi
-
-if ! ltpuid=$(id -u ltp); then
-	tst_resm TCONF "Failed to find ltp userid"
-	exit 1
-fi
-
-# TEST 1: ltp setuids to 0 but no valid hash
-# launch an unprivileged helper
-cleanup
-
-su ltp p9unpriv.sh &
-while [ ! -f $LTPTMP/d/childready ]; do :; done
-touch $LTPTMP/childgo
-until [ -f $LTPTMP/d/childfail -o -f $LTPTMP/d/childpass ]; do :; done
-if [ -f $LTPTMP/d/childpass ]; then
-	tst_resm TFAIL "child could setuid with bad hash"
-	exit 1
-fi
-tst_resm TPASS "child couldn't setuid with bad hash"
-
-# TEST 2: ltp setuids to 0 with valid hash
-
-# create the hash.  randstr doesn't have to be int, but it's ok
-cleanup
-randstr=$RANDOM
-txt="$ltpuid@0"
-echo -n "$txt" > $LTPTMP/txtfile
-openssl sha1 -hmac "$randstr" $LTPTMP/txtfile | awk '{ print $2 '} > $LTPTMP/hex
-unhex < $LTPTMP/hex > /dev/caphash
-# give the child its token
-echo -n "$txt@$randstr" > $LTPTMP/d/txtfile
-chown ltp $LTPTMP/d/txtfile
-
-su ltp p9unpriv.sh &
-while [ ! -f $LTPTMP/d/childready ]; do :; done
-touch $LTPTMP/childgo
-until [ -f $LTPTMP/d/childfail -o -f $LTPTMP/d/childpass ]; do :; done
-if [ -f $LTPTMP/d/childfail ]; then
-	tst_resm TFAIL "child couldn't setuid with good hash"
-	exit 1
-fi
-tst_resm TPASS "child could setuid with good hash"
+p9auth_setup()
+{
+	randstr=$RANDOM
+	if [ $p9auth_test = "p9auth_test2" ]; then
+		txt="$ltpuid@0"
+	elif [ $p9auth_test = "p9auth_test3" ]; then
+		txt="0@0"
+	fi
+	echo -n "$txt" > $LTPTMP/txtfile
+	openssl sha1 -hmac "$randstr" $LTPTMP/txtfile | awk '{ print $2 }' \
+		> $LTPTMP/hex
+	unhex < $LTPTMP/hex > /dev/caphash
+	# give the child its token
+	echo -n "$txt@$randstr" > $LTPTMP/d/txtfile
+	chown ltp $LTPTMP/d/txtfile
+}
 
-# TEST 3: 0 setuids to 0 with hash valid for ltp user
-cleanup
-randstr=$RANDOM
-txt="0@0"
-echo -n "$txt" > $LTPTMP/txtfile
-openssl sha1 -hmac "$randstr" $LTPTMP/txtfile | awk '{ print $2 '} > $LTPTMP/hex
-unhex < $LTPTMP/hex > /dev/caphash
-# give the child its token
-echo -n "$txt@$randstr" > $LTPTMP/d/txtfile
-chown ltp $LTPTMP/d/txtfile
+p9auth_run()
+{
+	su ltp p9unpriv.sh &
+	while [ ! -f $LTPTMP/d/childready ]; do :; done
+	touch $LTPTMP/childgo
+	until [ -f $LTPTMP/d/childfail -o -f $LTPTMP/d/childpass ]; do :; done
+}
 
-su ltp p9unpriv.sh &
-while [ ! -f $LTPTMP/d/childready ]; do :; done
-touch $LTPTMP/childgo
-until [ -f $LTPTMP/d/childfail -o -f $LTPTMP/d/childpass ]; do :; done;
-if [ -f $LTPTMP/d/childpass ]; then
-	tst_resm TFAIL "child could setuid from wrong source uid"
-	exit 1
-fi
-tst_resm TPASS "child couldn't setuid from wrong source uid"
+p9auth_test1()
+{
+	p9auth_init
+	p9auth_run
+	if [ -f $LTPTMP/d/childpass ]; then
+		tst_resm TFAIL "child could setuid with bad hash"
+	else
+		tst_resm TPASS "child couldn't setuid with bad hash"
+	fi
+}
 
-touch $LTPTMP/childexit
+p9auth_test2()
+{
+	p9auth_init
+	p9auth_setup
+	p9auth_run
+	if [ -f $LTPTMP/d/childfail ]; then
+		tst_resm TFAIL "child couldn't setuid with good hash"
+	else
+		tst_resm TPASS "child could setuid with good hash"
+	fi
+}
 
-exit 0
+p9auth_test3()
+{
+	p9auth_init
+	p9auth_setup
+	p9auth_run
+	if [ -f $LTPTMP/d/childpass ]; then
+		tst_resm TFAIL "child could setuid from wrong source uid"
+	else
+		tst_resm TPASS "child couldn't setuid from wrong source uid"
+	fi
+}
diff --git a/testcases/kernel/security/p9auth/p9unpriv.sh b/testcases/kernel/security/p9auth/p9unpriv.sh
index 9dfb1fa..a24edac 100755
--- a/testcases/kernel/security/p9auth/p9unpriv.sh
+++ b/testcases/kernel/security/p9auth/p9unpriv.sh
@@ -14,24 +14,19 @@
 ## for more details.                                                          ##
 ##                                                                            ##
 ## You should have received a copy of the GNU General Public License          ##
-## along with this program;  if not, write to the Free Software               ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA    ##
+## along with this program;  if not, write to the Free Software Foundation,   ##
+## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
 ##                                                                            ##
 ################################################################################
 
-LTPTMP=/tmp/p9auth_ltp
-
-TOUCH=`which touch`
-ID=`which id`
-echo ltptmp is $LTPTMP
+tst_resm TINFO "ltptmp is $LTPTMP"
 
 myuid=`id -u`
 if [ "$myuid" -eq 0 ]; then
-	echo "Unprivileged child was started as root!"
-	exit 1
+	tst_brkm TBROK "Unprivileged child was started as root!"
 fi
 
-$TOUCH $LTPTMP/d/childready
+touch $LTPTMP/d/childready
 
 while [ 1 ]; do
 	if [ -f $LTPTMP/childexit ]; then
@@ -39,13 +34,11 @@ while [ 1 ]; do
 	fi
 	if [ -f $LTPTMP/childgo ]; then
 		echo -n `cat $LTPTMP/d/txtfile` > /dev/capuse
-		if [ `$ID -u` -eq 0 ]; then
-			$TOUCH $LTPTMP/d/childpass
+		if [ `id -u` -eq 0 ]; then
+			touch $LTPTMP/d/childpass
 		else
-			$TOUCH $LTPTMP/d/childfail
+			touch $LTPTMP/d/childfail
 		fi
 		exit 0
 	fi
 done
-
-exit 0
diff --git a/testcases/kernel/security/p9auth/runp9auth.sh b/testcases/kernel/security/p9auth/runp9auth.sh
index 45b4143..1196860 100755
--- a/testcases/kernel/security/p9auth/runp9auth.sh
+++ b/testcases/kernel/security/p9auth/runp9auth.sh
@@ -14,24 +14,49 @@
 ## for more details.                                                          ##
 ##                                                                            ##
 ## You should have received a copy of the GNU General Public License          ##
-## along with this program;  if not, write to the Free Software               ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA    ##
+## along with this program;  if not, write to the Free Software Foundation,   ##
+## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
 ##                                                                            ##
 ################################################################################
 
-checkp9auth.sh
-ret=$?
-if [ $ret -ne 0 ]; then
-	echo "p9auth module is not supported by this kernel."
-	exit 0
-fi
+export TMPDIR=${TMPDIR:-/tmp}
+export LTPTMP=${TMPDIR}/p9auth_ltp
 
-exit_code=0
+TCID="$1"
+TST_TOTAL=1
 
-p9priv.sh
-tmp=$?
-if [ $tmp -ne 0 ]; then
-	exit_code=$tmp
-fi
+. test.sh
+. checkp9auth.sh
+. p9priv.sh
 
-exit $exit_code
+setup()
+{
+	tst_require_root
+
+	p9auth_check
+
+	if ! ltpuid=$(id -u ltp); then
+		useradd ltp
+		useradd_flag=1
+	else
+		useradd_flag=0
+	fi
+
+	p9auth_test="$TCID"
+}
+
+cleanup()
+{
+	rm -rf /tmp/ab
+	rm -rf $LTPTMP
+	if [ $useradd_flag -ne 0 ]; then
+		userdel -r ltp
+	fi
+}
+
+setup
+TST_CLEANUP=cleanup
+
+$p9auth_test
+
+tst_exit
diff --git a/testcases/kernel/security/p9auth/unhex.c b/testcases/kernel/security/p9auth/unhex.c
index 7235fa2..f5bcded 100644
--- a/testcases/kernel/security/p9auth/unhex.c
+++ b/testcases/kernel/security/p9auth/unhex.c
@@ -13,8 +13,8 @@
 /* the GNU General Public License for more details.                           */
 /*                                                                            */
 /* You should have received a copy of the GNU General Public License          */
-/* along with this program;  if not, write to the Free Software               */
-/* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA    */
+/* along with this program;  if not, write to the Free Software Foundation,   */
+/* Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           */
 /*                                                                            */
 /******************************************************************************/
 
@@ -28,7 +28,7 @@
 #include <stdio.h>
 #include <unistd.h>
 
-int main(int argc, char *argv[])
+int main(void)
 {
 	char in[41], out[20];
 	unsigned int v;
@@ -42,6 +42,9 @@ int main(int argc, char *argv[])
 		sscanf(&in[2 * i], "%02x", &v);
 		out[i] = v;
 	}
-	write(STDOUT_FILENO, out, 20);
+	ret = write(STDOUT_FILENO, out, 20);
+	if (ret != 20)
+		return 1;
+
 	return 0;
 }
-- 
1.9.3




------------------------------------------------------------------------------
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [LTP] [PATCH 2/2] security/p9auth: Add p9auth tests to default
  2014-07-12  6:05 [LTP] [PATCH 1/2] security/p9auth: Cleanup Zeng Linggang
@ 2014-07-12  6:06 ` Zeng Linggang
  2014-09-04 12:24 ` [LTP] [PATCH 1/2] security/p9auth: Cleanup chrubis
  1 sibling, 0 replies; 6+ messages in thread
From: Zeng Linggang @ 2014-07-12  6:06 UTC (permalink / raw)
  To: ltp-list

* Keep the entry like:
	p9auth_test1 p9auth_run_test.sh p9auth_test1
	p9auth_test2 p9auth_run_test.sh p9auth_test2
	p9auth_test3 p9auth_run_test.sh p9auth_test3

* Add p9auth tests to default

* Make p9auth testes name more saner:
	checkp9auth.sh  -->  p9auth_check.sh
	p9priv.sh       -->  p9auth_priv.sh
	p9unpriv.sh     -->  p9auth_unpriv.sh
	runp9auth.sh    -->  p9auth_run_test.sh
	unhex.c         -->  p9auth_unhex.c

Signed-off-by: Zeng Linggang <zenglg.jy@cn.fujitsu.com>
---
 runtest/p9auth                                     |  4 +-
 scenario_groups/default                            |  1 +
 testcases/kernel/security/p9auth/.gitignore        |  2 +-
 testcases/kernel/security/p9auth/checkp9auth.sh    | 54 -------------
 testcases/kernel/security/p9auth/p9auth_check.sh   | 54 +++++++++++++
 testcases/kernel/security/p9auth/p9auth_priv.sh    | 90 ++++++++++++++++++++++
 .../kernel/security/p9auth/p9auth_run_test.sh      | 62 +++++++++++++++
 testcases/kernel/security/p9auth/p9auth_unhex.c    | 50 ++++++++++++
 testcases/kernel/security/p9auth/p9auth_unpriv.sh  | 44 +++++++++++
 testcases/kernel/security/p9auth/p9priv.sh         | 90 ----------------------
 testcases/kernel/security/p9auth/p9unpriv.sh       | 44 -----------
 testcases/kernel/security/p9auth/runp9auth.sh      | 62 ---------------
 testcases/kernel/security/p9auth/unhex.c           | 50 ------------
 13 files changed, 305 insertions(+), 302 deletions(-)
 delete mode 100755 testcases/kernel/security/p9auth/checkp9auth.sh
 create mode 100755 testcases/kernel/security/p9auth/p9auth_check.sh
 create mode 100755 testcases/kernel/security/p9auth/p9auth_priv.sh
 create mode 100755 testcases/kernel/security/p9auth/p9auth_run_test.sh
 create mode 100644 testcases/kernel/security/p9auth/p9auth_unhex.c
 create mode 100755 testcases/kernel/security/p9auth/p9auth_unpriv.sh
 delete mode 100755 testcases/kernel/security/p9auth/p9priv.sh
 delete mode 100755 testcases/kernel/security/p9auth/p9unpriv.sh
 delete mode 100755 testcases/kernel/security/p9auth/runp9auth.sh
 delete mode 100644 testcases/kernel/security/p9auth/unhex.c

diff --git a/runtest/p9auth b/runtest/p9auth
index 17b1550..d0f6aa6 100644
--- a/runtest/p9auth
+++ b/runtest/p9auth
@@ -1,2 +1,4 @@
 #DESCRIPTION:p9auth /dev/caphash module
-p9auth		runp9auth.sh
+p9auth_test1 p9auth_run_test.sh p9auth_test1
+p9auth_test2 p9auth_run_test.sh p9auth_test2
+p9auth_test3 p9auth_run_test.sh p9auth_test3
diff --git a/scenario_groups/default b/scenario_groups/default
index 71b3646..2fdc9ee 100644
--- a/scenario_groups/default
+++ b/scenario_groups/default
@@ -30,3 +30,4 @@ fs_ext4
 pipes
 dma_thread_diotest
 cpuacct
+p9auth
diff --git a/testcases/kernel/security/p9auth/.gitignore b/testcases/kernel/security/p9auth/.gitignore
index a6ce058..56b0277 100644
--- a/testcases/kernel/security/p9auth/.gitignore
+++ b/testcases/kernel/security/p9auth/.gitignore
@@ -1 +1 @@
-/unhex
+/p9auth_unhex
diff --git a/testcases/kernel/security/p9auth/checkp9auth.sh b/testcases/kernel/security/p9auth/checkp9auth.sh
deleted file mode 100755
index 0eafd15..0000000
--- a/testcases/kernel/security/p9auth/checkp9auth.sh
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/sh
-################################################################################
-##                                                                            ##
-## Copyright (c) International Business Machines  Corp., 2009                 ##
-##                                                                            ##
-## This program is free software;  you can redistribute it and#or modify      ##
-## it under the terms of the GNU General Public License as published by       ##
-## the Free Software Foundation; either version 2 of the License, or          ##
-## (at your option) any later version.                                        ##
-##                                                                            ##
-## This program is distributed in the hope that it will be useful, but        ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License   ##
-## for more details.                                                          ##
-##                                                                            ##
-## You should have received a copy of the GNU General Public License          ##
-## along with this program;  if not, write to the Free Software Foundation,   ##
-## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
-##                                                                            ##
-################################################################################
-
-p9auth_check()
-{
-	# check for openssl
-	if [ -e "/tmp/ab" ]; then
-		rm -f /tmp/ab
-	fi
-	echo "ab" > /tmp/ab
-	openssl sha1 -hmac "ab" /tmp/ab > /dev/null
-	ret=$?
-	if [ $ret -ne 0 ]; then
-		tst_brkm TCONF "openssl not installed, skipping p9auth tests."
-	fi
-
-	majfile=/sys/module/p9auth/parameters/cap_major
-	minfile=/sys/module/p9auth/parameters/cap_minor
-	if [ ! -f "$majfile" ]; then
-		tst_brkm TCONF "p9auth not detected.  Skipping p9auth tests."
-	fi
-
-	if [ ! -c "/dev/caphash" ]; then
-		rm -f /dev/caphash
-		maj=`cat $majfile`
-		mknod /dev/caphash c $maj 0
-	fi
-
-	if [ ! -c "/dev/capuse" ]; then
-		rm -f /dev/capuse
-		mknod /dev/capuse c $maj 1
-	fi
-	chmod ugo+w /dev/capuse
-
-	tst_resm TINFO "p9auth ready for testing"
-}
diff --git a/testcases/kernel/security/p9auth/p9auth_check.sh b/testcases/kernel/security/p9auth/p9auth_check.sh
new file mode 100755
index 0000000..0eafd15
--- /dev/null
+++ b/testcases/kernel/security/p9auth/p9auth_check.sh
@@ -0,0 +1,54 @@
+#!/bin/sh
+################################################################################
+##                                                                            ##
+## Copyright (c) International Business Machines  Corp., 2009                 ##
+##                                                                            ##
+## This program is free software;  you can redistribute it and#or modify      ##
+## it under the terms of the GNU General Public License as published by       ##
+## the Free Software Foundation; either version 2 of the License, or          ##
+## (at your option) any later version.                                        ##
+##                                                                            ##
+## This program is distributed in the hope that it will be useful, but        ##
+## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
+## or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License   ##
+## for more details.                                                          ##
+##                                                                            ##
+## You should have received a copy of the GNU General Public License          ##
+## along with this program;  if not, write to the Free Software Foundation,   ##
+## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
+##                                                                            ##
+################################################################################
+
+p9auth_check()
+{
+	# check for openssl
+	if [ -e "/tmp/ab" ]; then
+		rm -f /tmp/ab
+	fi
+	echo "ab" > /tmp/ab
+	openssl sha1 -hmac "ab" /tmp/ab > /dev/null
+	ret=$?
+	if [ $ret -ne 0 ]; then
+		tst_brkm TCONF "openssl not installed, skipping p9auth tests."
+	fi
+
+	majfile=/sys/module/p9auth/parameters/cap_major
+	minfile=/sys/module/p9auth/parameters/cap_minor
+	if [ ! -f "$majfile" ]; then
+		tst_brkm TCONF "p9auth not detected.  Skipping p9auth tests."
+	fi
+
+	if [ ! -c "/dev/caphash" ]; then
+		rm -f /dev/caphash
+		maj=`cat $majfile`
+		mknod /dev/caphash c $maj 0
+	fi
+
+	if [ ! -c "/dev/capuse" ]; then
+		rm -f /dev/capuse
+		mknod /dev/capuse c $maj 1
+	fi
+	chmod ugo+w /dev/capuse
+
+	tst_resm TINFO "p9auth ready for testing"
+}
diff --git a/testcases/kernel/security/p9auth/p9auth_priv.sh b/testcases/kernel/security/p9auth/p9auth_priv.sh
new file mode 100755
index 0000000..42a9ea9
--- /dev/null
+++ b/testcases/kernel/security/p9auth/p9auth_priv.sh
@@ -0,0 +1,90 @@
+#!/bin/sh
+################################################################################
+##                                                                            ##
+## Copyright (c) International Business Machines  Corp., 2009                 ##
+##                                                                            ##
+## This program is free software;  you can redistribute it and#or modify      ##
+## it under the terms of the GNU General Public License as published by       ##
+## the Free Software Foundation; either version 2 of the License, or          ##
+## (at your option) any later version.                                        ##
+##                                                                            ##
+## This program is distributed in the hope that it will be useful, but        ##
+## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
+## or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License   ##
+## for more details.                                                          ##
+##                                                                            ##
+## You should have received a copy of the GNU General Public License          ##
+## along with this program;  if not, write to the Free Software Foundation,   ##
+## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
+##                                                                            ##
+################################################################################
+
+p9auth_init()
+{
+	if [ -d "$LTPTMP" ]; then
+		rm -rf $LTPTMP
+	fi
+	mkdir -p $LTPTMP/d
+	chmod 755 $LTPTMP
+	chown -R ltp $LTPTMP/d
+}
+
+p9auth_setup()
+{
+	randstr=$RANDOM
+	if [ $p9auth_test = "p9auth_test2" ]; then
+		txt="$ltpuid@0"
+	elif [ $p9auth_test = "p9auth_test3" ]; then
+		txt="0@0"
+	fi
+	echo -n "$txt" > $LTPTMP/txtfile
+	openssl sha1 -hmac "$randstr" $LTPTMP/txtfile | awk '{ print $2 }' \
+		> $LTPTMP/hex
+	p9auth_unhex < $LTPTMP/hex > /dev/caphash
+	# give the child its token
+	echo -n "$txt@$randstr" > $LTPTMP/d/txtfile
+	chown ltp $LTPTMP/d/txtfile
+}
+
+p9auth_run()
+{
+	su ltp p9auth_unpriv.sh &
+	while [ ! -f $LTPTMP/d/childready ]; do :; done
+	touch $LTPTMP/childgo
+	until [ -f $LTPTMP/d/childfail -o -f $LTPTMP/d/childpass ]; do :; done
+}
+
+p9auth_test1()
+{
+	p9auth_init
+	p9auth_run
+	if [ -f $LTPTMP/d/childpass ]; then
+		tst_resm TFAIL "child could setuid with bad hash"
+	else
+		tst_resm TPASS "child couldn't setuid with bad hash"
+	fi
+}
+
+p9auth_test2()
+{
+	p9auth_init
+	p9auth_setup
+	p9auth_run
+	if [ -f $LTPTMP/d/childfail ]; then
+		tst_resm TFAIL "child couldn't setuid with good hash"
+	else
+		tst_resm TPASS "child could setuid with good hash"
+	fi
+}
+
+p9auth_test3()
+{
+	p9auth_init
+	p9auth_setup
+	p9auth_run
+	if [ -f $LTPTMP/d/childpass ]; then
+		tst_resm TFAIL "child could setuid from wrong source uid"
+	else
+		tst_resm TPASS "child couldn't setuid from wrong source uid"
+	fi
+}
diff --git a/testcases/kernel/security/p9auth/p9auth_run_test.sh b/testcases/kernel/security/p9auth/p9auth_run_test.sh
new file mode 100755
index 0000000..bf220a5
--- /dev/null
+++ b/testcases/kernel/security/p9auth/p9auth_run_test.sh
@@ -0,0 +1,62 @@
+#!/bin/sh
+################################################################################
+##                                                                            ##
+## Copyright (c) International Business Machines  Corp., 2008                 ##
+##                                                                            ##
+## This program is free software;  you can redistribute it and#or modify      ##
+## it under the terms of the GNU General Public License as published by       ##
+## the Free Software Foundation; either version 2 of the License, or          ##
+## (at your option) any later version.                                        ##
+##                                                                            ##
+## This program is distributed in the hope that it will be useful, but        ##
+## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
+## or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License   ##
+## for more details.                                                          ##
+##                                                                            ##
+## You should have received a copy of the GNU General Public License          ##
+## along with this program;  if not, write to the Free Software Foundation,   ##
+## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
+##                                                                            ##
+################################################################################
+
+export TMPDIR=${TMPDIR:-/tmp}
+export LTPTMP=${TMPDIR}/p9auth_ltp
+
+TCID="$1"
+TST_TOTAL=1
+
+. test.sh
+. p9auth_check.sh
+. p9auth_priv.sh
+
+setup()
+{
+	tst_require_root
+
+	p9auth_check
+
+	if ! ltpuid=$(id -u ltp); then
+		useradd ltp
+		useradd_flag=1
+	else
+		useradd_flag=0
+	fi
+
+	p9auth_test="$TCID"
+}
+
+cleanup()
+{
+	rm -rf /tmp/ab
+	rm -rf $LTPTMP
+	if [ $useradd_flag -ne 0 ]; then
+		userdel -r ltp
+	fi
+}
+
+setup
+TST_CLEANUP=cleanup
+
+$p9auth_test
+
+tst_exit
diff --git a/testcases/kernel/security/p9auth/p9auth_unhex.c b/testcases/kernel/security/p9auth/p9auth_unhex.c
new file mode 100644
index 0000000..f3f7660
--- /dev/null
+++ b/testcases/kernel/security/p9auth/p9auth_unhex.c
@@ -0,0 +1,50 @@
+/******************************************************************************/
+/*                                                                            */
+/* Copyright (c) International Business Machines  Corp., 2008                 */
+/*                                                                            */
+/* This program is free software;  you can redistribute it and/or modify      */
+/* it under the terms of the GNU General Public License as published by       */
+/* the Free Software Foundation; either version 2 of the License, or          */
+/* (at your option) any later version.                                        */
+/*                                                                            */
+/* This program is distributed in the hope that it will be useful,            */
+/* but WITHOUT ANY WARRANTY;  without even the implied warranty of            */
+/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See                  */
+/* the GNU General Public License for more details.                           */
+/*                                                                            */
+/* You should have received a copy of the GNU General Public License          */
+/* along with this program;  if not, write to the Free Software Foundation,   */
+/* Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           */
+/*                                                                            */
+/******************************************************************************/
+
+/*
+ * File: p9auth_unhex.c
+ * Author: Serge Hallyn
+ * Purpose: Read a 40 char hex value from stdin, output 20 char byte
+ * value on stdout.
+ */
+
+#include <stdio.h>
+#include <unistd.h>
+
+int main(void)
+{
+	char in[41], out[20];
+	unsigned int v;
+	int i, ret;
+
+	ret = read(STDIN_FILENO, in, 40);
+	if (ret != 40)
+		return 1;
+	in[40] = '\0';
+	for (i = 0; i < 20; i++) {
+		sscanf(&in[2 * i], "%02x", &v);
+		out[i] = v;
+	}
+	ret = write(STDOUT_FILENO, out, 20);
+	if (ret != 20)
+		return 1;
+
+	return 0;
+}
diff --git a/testcases/kernel/security/p9auth/p9auth_unpriv.sh b/testcases/kernel/security/p9auth/p9auth_unpriv.sh
new file mode 100755
index 0000000..a24edac
--- /dev/null
+++ b/testcases/kernel/security/p9auth/p9auth_unpriv.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+################################################################################
+##                                                                            ##
+## Copyright (c) International Business Machines  Corp., 2009                 ##
+##                                                                            ##
+## This program is free software;  you can redistribute it and#or modify      ##
+## it under the terms of the GNU General Public License as published by       ##
+## the Free Software Foundation; either version 2 of the License, or          ##
+## (at your option) any later version.                                        ##
+##                                                                            ##
+## This program is distributed in the hope that it will be useful, but        ##
+## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
+## or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License   ##
+## for more details.                                                          ##
+##                                                                            ##
+## You should have received a copy of the GNU General Public License          ##
+## along with this program;  if not, write to the Free Software Foundation,   ##
+## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
+##                                                                            ##
+################################################################################
+
+tst_resm TINFO "ltptmp is $LTPTMP"
+
+myuid=`id -u`
+if [ "$myuid" -eq 0 ]; then
+	tst_brkm TBROK "Unprivileged child was started as root!"
+fi
+
+touch $LTPTMP/d/childready
+
+while [ 1 ]; do
+	if [ -f $LTPTMP/childexit ]; then
+		exit 0
+	fi
+	if [ -f $LTPTMP/childgo ]; then
+		echo -n `cat $LTPTMP/d/txtfile` > /dev/capuse
+		if [ `id -u` -eq 0 ]; then
+			touch $LTPTMP/d/childpass
+		else
+			touch $LTPTMP/d/childfail
+		fi
+		exit 0
+	fi
+done
diff --git a/testcases/kernel/security/p9auth/p9priv.sh b/testcases/kernel/security/p9auth/p9priv.sh
deleted file mode 100755
index 0355b66..0000000
--- a/testcases/kernel/security/p9auth/p9priv.sh
+++ /dev/null
@@ -1,90 +0,0 @@
-#!/bin/sh
-################################################################################
-##                                                                            ##
-## Copyright (c) International Business Machines  Corp., 2009                 ##
-##                                                                            ##
-## This program is free software;  you can redistribute it and#or modify      ##
-## it under the terms of the GNU General Public License as published by       ##
-## the Free Software Foundation; either version 2 of the License, or          ##
-## (at your option) any later version.                                        ##
-##                                                                            ##
-## This program is distributed in the hope that it will be useful, but        ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License   ##
-## for more details.                                                          ##
-##                                                                            ##
-## You should have received a copy of the GNU General Public License          ##
-## along with this program;  if not, write to the Free Software Foundation,   ##
-## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
-##                                                                            ##
-################################################################################
-
-p9auth_init()
-{
-	if [ -d "$LTPTMP" ]; then
-		rm -rf $LTPTMP
-	fi
-	mkdir -p $LTPTMP/d
-	chmod 755 $LTPTMP
-	chown -R ltp $LTPTMP/d
-}
-
-p9auth_setup()
-{
-	randstr=$RANDOM
-	if [ $p9auth_test = "p9auth_test2" ]; then
-		txt="$ltpuid@0"
-	elif [ $p9auth_test = "p9auth_test3" ]; then
-		txt="0@0"
-	fi
-	echo -n "$txt" > $LTPTMP/txtfile
-	openssl sha1 -hmac "$randstr" $LTPTMP/txtfile | awk '{ print $2 }' \
-		> $LTPTMP/hex
-	unhex < $LTPTMP/hex > /dev/caphash
-	# give the child its token
-	echo -n "$txt@$randstr" > $LTPTMP/d/txtfile
-	chown ltp $LTPTMP/d/txtfile
-}
-
-p9auth_run()
-{
-	su ltp p9unpriv.sh &
-	while [ ! -f $LTPTMP/d/childready ]; do :; done
-	touch $LTPTMP/childgo
-	until [ -f $LTPTMP/d/childfail -o -f $LTPTMP/d/childpass ]; do :; done
-}
-
-p9auth_test1()
-{
-	p9auth_init
-	p9auth_run
-	if [ -f $LTPTMP/d/childpass ]; then
-		tst_resm TFAIL "child could setuid with bad hash"
-	else
-		tst_resm TPASS "child couldn't setuid with bad hash"
-	fi
-}
-
-p9auth_test2()
-{
-	p9auth_init
-	p9auth_setup
-	p9auth_run
-	if [ -f $LTPTMP/d/childfail ]; then
-		tst_resm TFAIL "child couldn't setuid with good hash"
-	else
-		tst_resm TPASS "child could setuid with good hash"
-	fi
-}
-
-p9auth_test3()
-{
-	p9auth_init
-	p9auth_setup
-	p9auth_run
-	if [ -f $LTPTMP/d/childpass ]; then
-		tst_resm TFAIL "child could setuid from wrong source uid"
-	else
-		tst_resm TPASS "child couldn't setuid from wrong source uid"
-	fi
-}
diff --git a/testcases/kernel/security/p9auth/p9unpriv.sh b/testcases/kernel/security/p9auth/p9unpriv.sh
deleted file mode 100755
index a24edac..0000000
--- a/testcases/kernel/security/p9auth/p9unpriv.sh
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/bin/sh
-################################################################################
-##                                                                            ##
-## Copyright (c) International Business Machines  Corp., 2009                 ##
-##                                                                            ##
-## This program is free software;  you can redistribute it and#or modify      ##
-## it under the terms of the GNU General Public License as published by       ##
-## the Free Software Foundation; either version 2 of the License, or          ##
-## (at your option) any later version.                                        ##
-##                                                                            ##
-## This program is distributed in the hope that it will be useful, but        ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License   ##
-## for more details.                                                          ##
-##                                                                            ##
-## You should have received a copy of the GNU General Public License          ##
-## along with this program;  if not, write to the Free Software Foundation,   ##
-## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
-##                                                                            ##
-################################################################################
-
-tst_resm TINFO "ltptmp is $LTPTMP"
-
-myuid=`id -u`
-if [ "$myuid" -eq 0 ]; then
-	tst_brkm TBROK "Unprivileged child was started as root!"
-fi
-
-touch $LTPTMP/d/childready
-
-while [ 1 ]; do
-	if [ -f $LTPTMP/childexit ]; then
-		exit 0
-	fi
-	if [ -f $LTPTMP/childgo ]; then
-		echo -n `cat $LTPTMP/d/txtfile` > /dev/capuse
-		if [ `id -u` -eq 0 ]; then
-			touch $LTPTMP/d/childpass
-		else
-			touch $LTPTMP/d/childfail
-		fi
-		exit 0
-	fi
-done
diff --git a/testcases/kernel/security/p9auth/runp9auth.sh b/testcases/kernel/security/p9auth/runp9auth.sh
deleted file mode 100755
index 1196860..0000000
--- a/testcases/kernel/security/p9auth/runp9auth.sh
+++ /dev/null
@@ -1,62 +0,0 @@
-#!/bin/sh
-################################################################################
-##                                                                            ##
-## Copyright (c) International Business Machines  Corp., 2008                 ##
-##                                                                            ##
-## This program is free software;  you can redistribute it and#or modify      ##
-## it under the terms of the GNU General Public License as published by       ##
-## the Free Software Foundation; either version 2 of the License, or          ##
-## (at your option) any later version.                                        ##
-##                                                                            ##
-## This program is distributed in the hope that it will be useful, but        ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License   ##
-## for more details.                                                          ##
-##                                                                            ##
-## You should have received a copy of the GNU General Public License          ##
-## along with this program;  if not, write to the Free Software Foundation,   ##
-## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           ##
-##                                                                            ##
-################################################################################
-
-export TMPDIR=${TMPDIR:-/tmp}
-export LTPTMP=${TMPDIR}/p9auth_ltp
-
-TCID="$1"
-TST_TOTAL=1
-
-. test.sh
-. checkp9auth.sh
-. p9priv.sh
-
-setup()
-{
-	tst_require_root
-
-	p9auth_check
-
-	if ! ltpuid=$(id -u ltp); then
-		useradd ltp
-		useradd_flag=1
-	else
-		useradd_flag=0
-	fi
-
-	p9auth_test="$TCID"
-}
-
-cleanup()
-{
-	rm -rf /tmp/ab
-	rm -rf $LTPTMP
-	if [ $useradd_flag -ne 0 ]; then
-		userdel -r ltp
-	fi
-}
-
-setup
-TST_CLEANUP=cleanup
-
-$p9auth_test
-
-tst_exit
diff --git a/testcases/kernel/security/p9auth/unhex.c b/testcases/kernel/security/p9auth/unhex.c
deleted file mode 100644
index f5bcded..0000000
--- a/testcases/kernel/security/p9auth/unhex.c
+++ /dev/null
@@ -1,50 +0,0 @@
-/******************************************************************************/
-/*                                                                            */
-/* Copyright (c) International Business Machines  Corp., 2008                 */
-/*                                                                            */
-/* This program is free software;  you can redistribute it and/or modify      */
-/* it under the terms of the GNU General Public License as published by       */
-/* the Free Software Foundation; either version 2 of the License, or          */
-/* (at your option) any later version.                                        */
-/*                                                                            */
-/* This program is distributed in the hope that it will be useful,            */
-/* but WITHOUT ANY WARRANTY;  without even the implied warranty of            */
-/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See                  */
-/* the GNU General Public License for more details.                           */
-/*                                                                            */
-/* You should have received a copy of the GNU General Public License          */
-/* along with this program;  if not, write to the Free Software Foundation,   */
-/* Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA           */
-/*                                                                            */
-/******************************************************************************/
-
-/*
- * File: unhex.c
- * Author: Serge Hallyn
- * Purpose: Read a 40 char hex value from stdin, output 20 char byte
- * value on stdout.
- */
-
-#include <stdio.h>
-#include <unistd.h>
-
-int main(void)
-{
-	char in[41], out[20];
-	unsigned int v;
-	int i, ret;
-
-	ret = read(STDIN_FILENO, in, 40);
-	if (ret != 40)
-		return 1;
-	in[40] = '\0';
-	for (i = 0; i < 20; i++) {
-		sscanf(&in[2 * i], "%02x", &v);
-		out[i] = v;
-	}
-	ret = write(STDOUT_FILENO, out, 20);
-	if (ret != 20)
-		return 1;
-
-	return 0;
-}
-- 
1.9.3




------------------------------------------------------------------------------
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply related	[flat|nested] 6+ messages in thread

* Re: [LTP] [PATCH 1/2] security/p9auth: Cleanup
  2014-07-12  6:05 [LTP] [PATCH 1/2] security/p9auth: Cleanup Zeng Linggang
  2014-07-12  6:06 ` [LTP] [PATCH 2/2] security/p9auth: Add p9auth tests to default Zeng Linggang
@ 2014-09-04 12:24 ` chrubis
       [not found]   ` <1409895039.17311.20.camel@G08JYZSD130126>
  1 sibling, 1 reply; 6+ messages in thread
From: chrubis @ 2014-09-04 12:24 UTC (permalink / raw)
  To: Zeng Linggang; +Cc: ltp-list

Hi!
The patches looks god, but looking at Linux kernel git the p9auth modue
never made it to mainline. It was included in staging for a while then
removed due to lack of interest.

So there is no reason to maintain the code or add it to default run
unless it's actually used somewhere.

-- 
Cyril Hrubis
chrubis@suse.cz

------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [LTP] [PATCH 1/2] security/p9auth: Cleanup
       [not found]   ` <1409895039.17311.20.camel@G08JYZSD130126>
@ 2014-09-09 10:18     ` chrubis
       [not found]       ` <1410503722.8011.2.camel@G08JYZSD130126>
  0 siblings, 1 reply; 6+ messages in thread
From: chrubis @ 2014-09-09 10:18 UTC (permalink / raw)
  To: Zeng Linggang; +Cc: ltp-list

Hi!
> > So there is no reason to maintain the code or add it to default run
> > unless it's actually used somewhere.
> > 
> 
> OK, please ignore these patches.
> And, thank you.

Do we agree on removing the test entirely? Can you send such patch?

-- 
Cyril Hrubis
chrubis@suse.cz

------------------------------------------------------------------------------
Want excitement?
Manually upgrade your production database.
When you want reliability, choose Perforce.
Perforce version control. Predictably reliable.
http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [LTP] [PATCH] p9auth: remove this test
       [not found]       ` <1410503722.8011.2.camel@G08JYZSD130126>
@ 2014-09-17 11:51         ` Jan Stancek
  2014-09-18  1:10           ` Zeng Linggang
  0 siblings, 1 reply; 6+ messages in thread
From: Jan Stancek @ 2014-09-17 11:51 UTC (permalink / raw)
  To: Zeng Linggang; +Cc: ltp-list





----- Original Message -----
> From: "Zeng Linggang" <zenglg.jy@cn.fujitsu.com>
> To: "ltp-list" <ltp-list@lists.sourceforge.net>
> Sent: Friday, 12 September, 2014 8:35:22 AM
> Subject: [LTP] [PATCH] p9auth: remove this test
> 
> p9auth module was just included in staging for a while.
> It had been removed from kernel due to lack of interest.
> Remove it from LTP.
> 
> Signed-off-by: Zeng Linggang <zenglg.jy@cn.fujitsu.com>
> ---

Pushed with modified commit message (added commit # that 
removed p9auth from kernel)

Regards,
Jan

------------------------------------------------------------------------------
Want excitement?
Manually upgrade your production database.
When you want reliability, choose Perforce
Perforce version control. Predictably reliable.
http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [LTP] [PATCH] p9auth: remove this test
  2014-09-17 11:51         ` [LTP] [PATCH] p9auth: remove this test Jan Stancek
@ 2014-09-18  1:10           ` Zeng Linggang
  0 siblings, 0 replies; 6+ messages in thread
From: Zeng Linggang @ 2014-09-18  1:10 UTC (permalink / raw)
  To: Jan Stancek; +Cc: ltp-list

On Wed, 2014-09-17 at 07:51 -0400, Jan Stancek wrote:
> 
> 
> 
> ----- Original Message -----
> > From: "Zeng Linggang" <zenglg.jy@cn.fujitsu.com>
> > To: "ltp-list" <ltp-list@lists.sourceforge.net>
> > Sent: Friday, 12 September, 2014 8:35:22 AM
> > Subject: [LTP] [PATCH] p9auth: remove this test
> > 
> > p9auth module was just included in staging for a while.
> > It had been removed from kernel due to lack of interest.
> > Remove it from LTP.
> > 
> > Signed-off-by: Zeng Linggang <zenglg.jy@cn.fujitsu.com>
> > ---
> 
> Pushed with modified commit message (added commit # that 
> removed p9auth from kernel)
> 

OK. And thank you very much.

Best regards,
Zeng

> Regards,
> Jan



------------------------------------------------------------------------------
Want excitement?
Manually upgrade your production database.
When you want reliability, choose Perforce
Perforce version control. Predictably reliable.
http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2014-09-18  1:11 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-07-12  6:05 [LTP] [PATCH 1/2] security/p9auth: Cleanup Zeng Linggang
2014-07-12  6:06 ` [LTP] [PATCH 2/2] security/p9auth: Add p9auth tests to default Zeng Linggang
2014-09-04 12:24 ` [LTP] [PATCH 1/2] security/p9auth: Cleanup chrubis
     [not found]   ` <1409895039.17311.20.camel@G08JYZSD130126>
2014-09-09 10:18     ` chrubis
     [not found]       ` <1410503722.8011.2.camel@G08JYZSD130126>
2014-09-17 11:51         ` [LTP] [PATCH] p9auth: remove this test Jan Stancek
2014-09-18  1:10           ` Zeng Linggang

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox